
Ryzom - Bug # 846

Status: Closed Priority: Normal
Author: mfc_alpha Category: Build
Created: 05/07/2010 Assignee: vl
Updated: 05/28/2010 Due date:
Subject: Fix linux build when sources aren't in $HOME
Description

scripts, Makefile ... all refers to $HOME/code or ~/code.
Instead, use a variable $RYZOM_HOME that points to your Sources.
e.g: export RYZOM_HOME=/home/mathieu/Sources/ryzom/
so it could be used in scripts, Makefiles ....

History
#1 - 05/07/2010 05:45 pm - guepe
- File buildtools.patch added

mfc_alpha wrote:

scripts, Makefile ... all refers to $HOME/code or ~/code.
Instead, use a variable $RYZOM_HOME that points to your Sources.
e.g: export RYZOM_HOME=/home/mathieu/Sources/ryzom/
so it could be used in scripts, Makefiles ....

I did the same, plus added creation of log directory when it does not exist. THis patch also allows for compiling outside ryzom code directory, with the
creation of logs inside the current working directory.

I propose it also, as two different solutions may increase the overall quality ;-)

#2 - 05/09/2010 08:11 am - agoln

Revert Rules.mk, I don't think it's necessary.

#3 - 05/11/2010 04:37 pm - vl
- Category set to Build
- Status changed from New to Assigned
- Assignee set to vl

#4 - 05/11/2010 05:53 pm - kerozcak

PACK_SHEETS_FLAGS = -A$(RYZOM_PATH)/code/ryzom/server -L$(RYZOM_PATH)/code/ryzom/server
-C$(RYZOM_PATH)/code/ryzom/server/sheet_pack_cfg -Q --nons

That doesn't work. Did you guys at least tried to build it with these patches?
It's used in update_pached_sheets.sh file in this way:
PACK_SHEETS_FLAGS=$(grep PACK_SHEETS_FLAGS ../../../Variables.mk|cut -f2 -d=)
and value of PACK_SHEETS_FLAGS in Variables.mk is used implicit without evaluating variables in it.

It makes update_packed_sheets.sh script run something like this:
/bin/sh ../update_packed_sheets.sh ./gpm_service continents.packed_sheets
./gpm_service  -A$(RYZOM_PATH)/code/ryzom/server -L$(RYZOM_PATH)/code/ryzom/server
-C$(RYZOM_PATH)/code/ryzom/server/sheet_pack_cfg -Q --nons

and the service tries to load config from wrong directory
ERR 403bbc80 service.cpp 633 main GPMS : SERVICE: Neither the config file
'/home/nevrax/code/ryzom/server/src/gpm_service/$(RYZOM_PATH)/code/ryzom/server/sheet_pack_cfg/gpm_service.cfg' nor the default one can be
found, can't launch the service

I think update_packed_sheets.sh should be changed to inherit PACK_SHEETS_FLAGS in some other way.

#5 - 05/11/2010 06:12 pm - vl
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

All path are now relative to $RYZOM_PATH It should be easier to compile :

http://dev.ryzom.com/wiki/ryzom/BuildForLinux

#6 - 05/18/2010 10:21 am - vl
- Target version set to Version 0.8.0

#7 - 05/28/2010 05:23 pm - vl
- Status changed from Resolved to Closed

Files
ryzomhome.patch 21.4 kB 05/07/2010 mfc_alpha
buildtools.patch 12 kB 05/07/2010 guepe
http://dev.ryzom.com/wiki/ryzom/BuildForLinux

